package intrinsic.mx.events;

public class BrowserChangeEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public String lastURL;
	public String url;

	/** Constants */
	public static final String BROWSER_URL_CHANGE = "browser_url_change";
	public static final String URL_CHANGE = "url_change";
	public static final String VERSION = "version";
	public static final String APPLICATION_URL_CHANGE = "application_url_change";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public BrowserChangeEvent() {
}

public BrowserChangeEvent(String arg0) {
}

public BrowserChangeEvent(String arg0, boolean arg1) {
}

public BrowserChangeEvent(String arg0, boolean arg1, boolean arg2) {
}

public BrowserChangeEvent(String arg0, boolean arg1, boolean arg2, String arg3) {
}

public BrowserChangeEvent(String arg0, boolean arg1, boolean arg2, String arg3, String arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
